## golang-github-trung-jwt-tools 0.0~git20191029.432ee57

=== Makefile ===
GIT_COMMIT := $(shell git rev-parse HEAD)
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD)
LD_FLAGS := -X main.Commit=${GIT_COMMIT} -X main.Version=${GIT_BRANCH} -s -w
XC_ARCH := amd64
XC_OS := linux darwin windows

.PHONY: docs

default: all

build:
	@echo Branch: ${GIT_BRANCH}
	@echo Commit: ${GIT_COMMIT}
	@gox \
		-os="${XC_OS}" \
		-arch="${XC_ARCH}" \
		-ldflags="${LD_FLAGS}" \
		-output "build/{{.OS}}_{{.Arch}}/jwt" \
		./cmd/jwt
	@echo
	@echo Done!
	@ls build/*

all: tools clean docs build

clean:
	@rm -rf build/

docs:
	@rm -rf docs/jwt*.md
	@go run docs/gen.go

tools: gox
	@go mod download
	@echo "Build tools are ready"

gox:
ifeq (, $(shell which gox))
	@go get -u github.com/mitchellh/gox
endif

=== debian/changelog ===
golang-github-trung-jwt-tools (0.0~git20191029.432ee57-0kali2) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Update Depends
  * Update d/watch to v5
  * Do not install binaries

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 17 Dec 2025 16:01:39 +0700

golang-github-trung-jwt-tools (0.0~git20191029.432ee57-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 Oct 2023 11:39:21 +0200

=== debian/control ===
Source: golang-github-trung-jwt-tools
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-pborman-uuid-dev,
 golang-github-spf13-cobra-dev,
 golang-github-tidwall-pretty-dev,
 golang-golang-x-crypto-dev,
 golang-gopkg-square-go-jose.v2-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/trung/jwt-tools
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-trung-jwt-tools
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-trung-jwt-tools.git
XS-Go-Import-Path: github.com/trung/jwt-tools
Testsuite: autopkgtest-pkg-go

Package: golang-github-trung-jwt-tools-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-tidwall-pretty-dev,
 ${misc:Depends},
Description: command line program that offer tools for JWT with JWS/JWE
 This package contains a command line program that offer number of tools for
 JWT with JWS/JWE.

=== debian/watch ===
Version: 5

Source: https://github.com/trung/jwt-tools.git
Matching-Pattern: HEAD
Mode: git
Pgmode: none
Git-Pretty: 0.0~git%cd.%h
